<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="STEP" id="0">
  <actions>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">if (isNotFrozen())
{
dist = distance_to_object(oCharacter);
if (collision_point(x+8, y+4, oSolid, 0, 0))
{
    hp = 0;
}
if (hp &lt; 1)
{
    scrCreateBlood(x+8, y+8, 3);
    if (isRealLevel()) global.enemyKills[2] += 1;
    global.spiders += 1;
    global.kills += 1;
    instance_destroy();
}
else if (not collision_point(x, y-16, oSolid, 0, 0) or (dist &lt; 90 and oCharacter.y &gt; y and abs(oCharacter.x - (x+8)) &lt; 8))
{
  spider = instance_create(x, y, oSpiderG);
  spider.hp = hp;
  instance_destroy();
}
}
</argument>
      </arguments>
    </action>
  </actions>
</event>
